plugins {
    id 'com.android.application'
}

android {
    namespace 'com.miraclegarden.smsmessage.xposed'
    compileSdk 34

    defaultConfig {
        applicationId "com.miraclegarden.smsmessage.xposed"
        minSdk 24
        targetSdk 34
        versionCode 5
        versionName "1.2.2"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    lint {
        abortOnError false
    }
}

dependencies {
    compileOnly 'de.robv.android.xposed:api:82'
    compileOnly 'de.robv.android.xposed:api:82:sources'
}
